#!/bin/sh

export JOTM_CLASSPATH=\
$JOTM_HOME/conf:\
$JOTM_HOME/lib/jotm.jar:\
$JOTM_HOME/lib/jotm_jrmp_stubs.jar:\
$JOTM_HOME/lib/commons-cli-1.0.jar:\
$JOTM_HOME/lib/connector-1_5.jar:\
$JOTM_HOME/lib/howl-0.1.11.jar:\
$JOTM_HOME/lib/ow_carol.jar

#Uncomment this to run in debug mode.
#$DEBUG_OPT=-Xdebug -Xnoagent -Xrunjdwp:transport=dt_socket,server=y,address=1100,suspend=y

#comment this line to run the rmiregistry inside carol (carol.start.ns=true)
rmiregistry -J-cp -J$JOTM_CLASSPATH -J-Djava.security.policy=$JOTM_HOME/conf/java.policy &

#uncomment this line to run the iiop name server (if carol.start.ns=false)
#tnameserv -ORBInitialPort 1196 &

java -cp $JOTM_CLASSPATH $DEBUG_OPT org.objectweb.jotm.Main -u UserTransaction -m TransactionManager &

